#
# crash core analysis suite
#
Summary: crash utility for live systems; netdump, diskdump, kdump, LKCD or mcore dumpfiles
Name: crash
Version: 7.1.4
Release: 0
License: GPLv3
Group: Development/Debuggers
Source: %{name}-%{version}.tar.gz
URL: http://people.redhat.com/anderson
Distribution: Linux 2.2 or greater
Vendor: Red Hat, Inc.
Packager: Dave Anderson <anderson@redhat.com>
ExclusiveOS: Linux
ExclusiveArch: %{ix86} alpha ia64 ppc ppc64 ppc64pseries ppc64iseries x86_64 s390 s390x arm aarch64 ppc64le mips mipsel
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: ncurses-devel zlib-devel bison
Requires: binutils
# Patch0: crash-3.3-20.installfix.patch (patch example)

%description
The core analysis suite is a self-contained tool that can be used to
investigate either live systems, kernel core dumps created from the
netdump, diskdump and kdump facilities from Red Hat Linux, the mcore kernel patch
offered by Mission Critical Linux, or the LKCD kernel patch.

%package devel
Requires: %{name} = %{version}, zlib-devel
Summary: crash utility for live systems; netdump, diskdump, kdump, LKCD or mcore dumpfiles
Group: Development/Debuggers

%description devel
The core analysis suite is a self-contained tool that can be used to
investigate either live systems, kernel core dumps created from the
netdump, diskdump and kdump packages from Red Hat Linux, the mcore kernel patch
offered by Mission Critical Linux, or the LKCD kernel patch.

%package extensions
Summary: Additional commands for the crash dump analysis tool
Group: Development/Debuggers

%description extensions
The extensions package contains plugins that provide additional crash
commands. The extensions can be loaded in crash via the "extend" command.

The following extensions are provided:
* eppic:  Provides C-like language for writing dump analysis scripts
* dminfo: Device-mapper target analyzer
* snap:   Takes a snapshot of live memory and creates a kdump dumpfile
* trace:  Displays kernel tracing data and traced events that occurred prior to a panic.

%prep
%setup -n %{name}-%{version}
# %patch0 -p1 -b .install (patch example)

%build
make RPMPKG="%{version}"
# make RPMPKG="%{version}-%{release}"
make extensions

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_mandir}/man8
cp crash.8 %{buildroot}%{_mandir}/man8/crash.8
mkdir -p %{buildroot}%{_includedir}/crash
cp defs.h %{buildroot}%{_includedir}/crash
mkdir -p %{buildroot}%{_libdir}/crash/extensions
if [ -f extensions/eppic.so ]
then
cp extensions/eppic.so %{buildroot}%{_libdir}/crash/extensions
fi
cp extensions/dminfo.so %{buildroot}%{_libdir}/crash/extensions
cp extensions/snap.so %{buildroot}%{_libdir}/crash/extensions
cp extensions/trace.so %{buildroot}%{_libdir}/crash/extensions

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/crash
%{_mandir}/man8/crash.8*
%doc README

%files devel
%defattr(-,root,root)
%{_includedir}/*

%files extensions
%defattr(-,root,root)
%{_libdir}/crash/extensions/*
